Package net.sourceforge.jiu.ops

# Class MissingParameterException

java.lang.Object
java.lang.Throwable
java.lang.Exception
net.sourceforge.jiu.ops.OperationFailedException
net.sourceforge.jiu.ops.MissingParameterException

All Implemented Interfaces:
  `Serializable`

public class MissingParameterException extends OperationFailedException
Exception class to indicate that an operation's parameter is missing (has not been specified by caller and there was no default value that could be used).

Author:
  Marco Schmidt
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`MissingParameterException(String message)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MissingParameterException

public MissingParameterException(String message)